package com.zcloud.basic.info.api;

import com.alibaba.cola.dto.MultiResponse;
import com.zcloud.basic.info.dto.RzUserAddCmd;
import com.zcloud.basic.info.dto.RzUserPageQry;
import com.zcloud.basic.info.dto.RzUserListQry;
import com.zcloud.basic.info.dto.RzUserUpdateCmd;
import com.zcloud.basic.info.dto.clientobject.RzUserCO;

import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.SingleResponse;

/**
 * web-client
 *
 * @Author SondonYong
 * @Date 2025-12-02 17:15:57
 */
public interface RzUserServiceI {
    PageResponse<RzUserCO> listPage(RzUserPageQry qry);

    MultiResponse<RzUserCO> list(RzUserListQry qry);

    SingleResponse<RzUserCO> getInfoById(Long id);

    SingleResponse<RzUserCO> add(RzUserAddCmd cmd);

    void edit(RzUserUpdateCmd cmd);

    void remove(Long id);

    void removeBatch(Long[] ids);
}

